cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Observer
Observer
1,430 Views
Registered: ‎09-11-2017

RT PREEMPT patch

Hello!

What is the proper RT patch for linux kernel distributed through petalinux 2017.2? 

"uname -a" tells "4.9.0-xilinx",so it seems "4.9.0-rt1" would be fine.

But as far as I know "4.9.0-xilinx" does not mean linux kernel 4.9,0, but linux kernel 4.9.0 plus patches from mainstream and xilinx team.

So, the question is what RT patch suits "4.9.0-xilinx" best?

 

 

Tags (2)
3 Replies
Highlighted
Observer
Observer
1,315 Views
Registered: ‎09-11-2017

No reply for two months...
Some simple question: what actual linux kernel version xilinx team used to build petalinux 2017.2 ?
0 Kudos
Highlighted
Moderator
Moderator
1,306 Views
Registered: ‎04-24-2017

Hi @mishuk,

 

We don't support Linux RT patches to provide some recommendations(as we haven't evaluated) please refer our Embedded SW policy http://www.wiki.xilinx.com/Embedded%20SW%20Support 

 

Recently when I was at ELC-2018 Portland there was an announcement from Linux Torvalds that RT Linux patches are enabled by default from mainline.

Thanks,
Sandeep
PetaLinux Yocto | Embedded SW Support

---------------------------------------------------------------------------
Don’t forget to Reply, Kudo, and Accept as Solution.
---------------------------------------------------------------------------
0 Kudos
Highlighted
Observer
Observer
1,214 Views
Registered: ‎10-17-2012

But the linux-xlnx (newest is 4.14) cannot configure "fully preemptible kernel" and  "basic RT", so the realtime feature has no guarantee.

So how to guarantee realtime feature with linux-xlnx and opensource?

0 Kudos